<?php
/**
 * DBERP 进销存系统
 *
 * ==========================================================================
 * @link      http://www.dberp.net/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   http://www.dberp.net/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Shop\Service;

use Doctrine\ORM\EntityManager;
use Shop\Entity\ShopOrderGoods;

class ShopOrderGoodsManager
{
    private $entityManager;

    public function __construct(
        EntityManager $entityManager
    )
    {
        $this->entityManager = $entityManager;
    }

    /**
     * 添加订单商品
     * @param array $data
     * @param int $shopOrderId
     * @return bool
     * @throws \Doctrine\Common\Persistence\Mapping\MappingException
     * @throws \Doctrine\ORM\ORMException
     * @throws \Doctrine\ORM\OptimisticLockException
     */
    public function addShopOrderGoods(array $data, int $shopOrderId)
    {
        foreach ($data as $value) {
            $shopOrderGoods = new ShopOrderGoods();
            $shopOrderGoods->setOrderGoodsId(null);
            $shopOrderGoods->setShopOrderId($shopOrderId);
            $shopOrderGoods->setGoodsName($value['goods_name']);
            $shopOrderGoods->setGoodsSpec($value['goods_spec']);
            $shopOrderGoods->setGoodsSn($value['goods_sn']);
            $shopOrderGoods->setGoodsUnitName($value['unit_name']);
            $shopOrderGoods->setGoodsPrice($value['goods_price']);
            $shopOrderGoods->setGoodsType($value['goods_type']);
            $shopOrderGoods->setBuyNum($value['buy_num']);
            $shopOrderGoods->setGoodsAmount($value['goods_amount']);

            $this->entityManager->persist($shopOrderGoods);
            $this->entityManager->flush();
            $this->entityManager->clear(ShopOrderGoods::class);
        }

        return true;
    }

    /**
     * 删除订单商品
     * @param int $shopOrderId
     * @return bool
     * @throws \Doctrine\ORM\ORMException
     * @throws \Doctrine\ORM\OptimisticLockException
     */
    public function deleteShopOrderGoods(int $shopOrderId)
    {

        $orderGoods = $this->entityManager->getRepository(ShopOrderGoods::class)->findBy(['shopOrderId'=>$shopOrderId]);

        if($orderGoods) {
            foreach ($orderGoods as $goods) {
                $this->entityManager->remove($goods);
                $this->entityManager->flush();
            }
        }
        return true;
    }
}